#ifndef __CONFIG_H
#define __CONFIG_H
/*****************************************************************************
 *                                  _   _ ____  _     
 *  Project                     ___| | | |  _ \| |    
 *                             / __| | | | |_) | |    
 *                            | (__| |_| |  _ <| |___ 
 *                             \___|\___/|_| \_\_____|
 *
 * Copyright (C) 1998 Daniel Stenberg and Rafael Sagula
 * ------------------------------------------------------------
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *   MA 02111-1307, USA
 * ------------------------------------------------------------
 * Main author:
 * - Daniel Stenberg <Daniel.Stenberg@sth.frontec.se>
 *
 * 	http://www.fts.frontec.se/~dast/curl/
 *
 * $Source: /home/hardcore/dast/src/curl/RCS/config.h,v $
 * $Revision: 1.5 $
 * $Date: 1998/04/06 14:01:56 $
 * $Author: dast $
 * $State: Exp $
 * $Locker:  $
 *
 * ------------------------------------------------------------
 * $Log: config.h,v $
 * Revision 1.5  1998/04/06 14:01:56  dast
 * added #define USE_SSLEAY
 *
 * Revision 1.4  1998/03/27 07:38:11  dast
 * Added HAVE_INET_NTOA
 * removed the alarm() stuff
 *
 * Revision 1.3  1998/03/23 15:22:33  dast
 * added #ifdef around the fileno prototype since the sunos4 gcc I tried
 * have fileno as a macro!
 *
 * Revision 1.2  1998/03/23 10:35:36  dast
 * fixed header
 *
 *****************************************************************************/

/* Define this to add SSL support: */
/* #define USE_SSLEAY */

#if !defined(WIN32) && defined(_WIN32)
/* This _might_ be a good Borland fix. Please report whether this works or
   not! */
#define WIN32
#endif

#ifdef HAVE_STRCASECMP
#define strnequal(x,y,z) !strncasecmp(x,y,z)
#define strequal(x,y) !strcasecmp(x,y)
#else
#define strnequal(x,y,z) !strnicmp(x,y,z)
#define strequal(x,y) !stricmp(x,y)
#endif

/* Below we define three functions. They should
   1. close a socket
   2. read from a socket
   3. write to a socket
   Hopefully, only win32-crap do this weird name changing 
   */

#ifdef WIN32
#define sclose(x) closesocket(x)
#define sread(x,y,z) recv(x,y,z,0)
#define swrite(x,y,z) (size_t)send(x,y,z,0)
#define myalarm(x) /* win32 is a silly system */
#else
#define myalarm(x) alarm(x)
#define sclose(x) close(x)
#define sread(x,y,z) read(x,y,z)
#define swrite(x,y,z) write(x,y,z)

#ifdef HAVE_STRCASECMP
/* this is for "-ansi -Wall -pedantic" to stop complaining! */
extern int strcasecmp(const char *s1, const char *s2);
#ifndef fileno /* sunos 4 have this as a macro! */
int fileno( FILE *stream);
#endif
#endif

#endif

/* define this if inet_ntoa() is available: */
#define HAVE_INET_NTOA

#endif /* __CONFIG_H */
